CensusDictionaryCreatorTool (Apache OpenNLP :: Core :: CLI 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.cmdline.namefind, class: CensusDictionaryCreatorTool

Package opennlp.tools.cmdline.namefind

# Class CensusDictionaryCreatorTool

java.lang.Object
opennlp.tools.cmdline.CmdLineTool
opennlp.tools.cmdline.BasicCmdLineTool
opennlp.tools.cmdline.namefind.CensusDictionaryCreatorTool

public class CensusDictionaryCreatorTool extends opennlp.tools.cmdline.BasicCmdLineTool
This tool helps create a loadable dictionary for the `NameFinder`, from data collected from US Census data.

Data for the US Census and names can be found here for the 1990 Census:
www.census.gov

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CensusDictionaryCreatorTool()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static opennlp.tools.dictionary.Dictionary`
  `createDictionary(opennlp.tools.util.ObjectStream<opennlp.tools.util.StringList> sampleStream)`
  Creates a dictionary.
  `String`
  `getHelp()`
  `String`
  `getShortDescription()`
  `void`
  `run(String[] args)`
  Executes the tool with the given parameters.

  ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

  `getName, hasParams`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CensusDictionaryCreatorTool

    public CensusDictionaryCreatorTool()

- ## Method Details

  - ### getShortDescription

    public String getShortDescription()
    Overrides:
      `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
    Returns:
      Retrieves a short description of what the tool does

  - ### getHelp

    public String getHelp()
    Specified by:
      `getHelp` in class `opennlp.tools.cmdline.CmdLineTool`
    Returns:
      Retrieves a description on how to use the tool

  - ### createDictionary

    public static opennlp.tools.dictionary.Dictionary createDictionary(opennlp.tools.util.ObjectStream<opennlp.tools.util.StringList> sampleStream) throws IOException
    Creates a dictionary.
    Parameters:
      `sampleStream` - stream of samples.
    Returns:
      a `Dictionary` class containing the name dictionary built from the input file.
    Throws:
      `IOException` - IOException

  - ### run

    public void run(String[] args)
    Description copied from class: `opennlp.tools.cmdline.BasicCmdLineTool`
    Executes the tool with the given parameters.
    Specified by:
      `run` in class `opennlp.tools.cmdline.BasicCmdLineTool`
    Parameters:
      `args` - arguments